# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectContainerTransaction

Packages that use ISharedObjectContainerTransaction
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic

## Uses of ISharedObjectContainerTransaction in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObjectContainerTransaction
Modifier and Type
Class
Description
`class`
`TwoPhaseCommitEventProcessor`
Implementation of two-phase commit for transactional replication of shared objects.
Fields in org.eclipse.ecf.core.sharedobject declared as ISharedObjectContainerTransaction
Modifier and Type
Field
Description
`protected ISharedObjectContainerTransaction`
TransactionSharedObject.`transaction`

## Uses of ISharedObjectContainerTransaction in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return ISharedObjectContainerTransaction
Modifier and Type
Method
Description
`protected ISharedObjectContainerTransaction`
SOContainer.`addSharedObject0(ID id, ISharedObject s, Map props)`
`protected ISharedObjectContainerTransaction`
SOContainer.`addSharedObjectWrapper(SOWrapper wrapper)`